using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SamplePDFSxAPI_CSharp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void bSrc_Click(object sender, EventArgs e)
        {
            if (dOpen.ShowDialog() == DialogResult.OK)
            {
                edSourcePDF.Text = dOpen.FileName;
            }
        }

        private void bDst_Click(object sender, EventArgs e)
        {
            if (dSave.ShowDialog() == DialogResult.OK)
            {
                edTarget.Text = dSave.FileName;
            }
        }

        private void bApply_Click(object sender, EventArgs e)
        {
            if (edSourcePDF.Text.Trim().Length > 0 && edTarget.Text.Trim().Length > 0)
            {
                if (rbEdit.Checked)
                {
                    PDFSXAPI.NPD_LockEdit(edSourcePDF.Text, edTarget.Text);
                }
                if (rbPrint.Checked)
                {
                    PDFSXAPI.NPD_LockPrint(edSourcePDF.Text, edTarget.Text);
                }
                if ( rbCopy.Checked)
                {
                    PDFSXAPI.NPD_LockCopy(edSourcePDF.Text, edTarget.Text);
                }
                MessageBox.Show("Done");
            }
            else
            {
                MessageBox.Show("Please, specify source and target paths");
            }
        }
    }
}