using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;

namespace SamplePDFSxAPI_CSharp
{
    class PDFSXAPI
    {
        [DllImport(
            @"PDFSxAPI.dll",
            EntryPoint = "NPD_LockPrint",
            CallingConvention = CallingConvention.StdCall,
            SetLastError = false,
            ExactSpelling = true)
        ]
        public extern static bool NPD_LockPrint([MarshalAs(UnmanagedType.LPStr)]string fileName, [MarshalAs(UnmanagedType.LPStr)]string fileNameDest);

        [DllImport(
            @"PDFSxAPI.dll",
            EntryPoint = "NPD_LockEdit",
            CallingConvention = CallingConvention.StdCall,
            SetLastError = false,
            ExactSpelling = true)
        ]
        public extern static bool NPD_LockEdit([MarshalAs(UnmanagedType.LPStr)]string fileName, [MarshalAs(UnmanagedType.LPStr)]string fileNameDest);

        [DllImport(
            @"PDFSxAPI.dll",
            EntryPoint = "NPD_LockCopy",
            CallingConvention = CallingConvention.StdCall,
            SetLastError = false,
            ExactSpelling = true)
        ]
        public extern static bool NPD_LockCopy([MarshalAs(UnmanagedType.LPStr)]string fileName, [MarshalAs(UnmanagedType.LPStr)]string fileNameDest);

        [DllImport(
            @"PDFSxAPI.dll",
            EntryPoint = "NPD_SetOpenPassword",
            CallingConvention = CallingConvention.StdCall,
            SetLastError = false,
            ExactSpelling = true)
        ]
        public extern static bool NPD_SetOpenPassword([MarshalAs(UnmanagedType.LPStr)]string fileName, [MarshalAs(UnmanagedType.LPStr)]string fileNameDest, [MarshalAs(UnmanagedType.LPStr)]string pass);

        [DllImport(
            @"PDFSxAPI.dll",
            EntryPoint = "NPD_SetMasterPassword",
            CallingConvention = CallingConvention.StdCall,
            SetLastError = false,
            ExactSpelling = true)
        ]
        public extern static bool NPD_SetMasterPassword([MarshalAs(UnmanagedType.LPStr)]string fileName, [MarshalAs(UnmanagedType.LPStr)]string fileNameDest, [MarshalAs(UnmanagedType.LPStr)]string pass);
    }
}
